// nova-tourism/components/select/index.js
Component({
    /**
     * 组件的属性列表
     */
    // properties: {
    //     show: {//控制下拉列表的显示隐藏，false隐藏、true显示
    //         type: Boolean,
    //         default: false
    //     },
    //     options: {//下拉列表的数据 // ['15:10','15:15','15:20']
    //         type: Array,
    //         default: []
    //     },
    //     index: 0,//选择的下拉列表下标
    // },

    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {
        onChange(event) {
            let value = event.detail.value;
            let key = event.detail.value;
            console.log(event.detail);
        },
        // 点击下拉显示框
        selectTap() {
            this.setData({
                selectShow: !this.data.selectShow
            });
        },
        // 点击下拉列表
        optionTap(e) {
            let Index = e.currentTarget.dataset.index;//获取点击的下拉列表的下标
            this.setData({
                index: Index,
                selectShow: !this.data.selectShow
            });
        }
    }
})
